var jamLayer = new ol.layer.Vector({
    source: new ol.source.Vector(),
    zIndex: 999,
    style: function (feature, resolution) {
        var jamStyle;
        if (resolution > 5) {
            jamStyle = [
                new ol.style.Style({
                    fill: new ol.style.Fill({
                        color: feature.sumCars < 15? 'rgb(255,100,0, 0.6)':'rgb(255,0,0, 0.4)',
                    }),
                    stroke: new ol.style.Stroke({
                        color: 'rgb(255,0,0)',
                        width: 2,
                    }),
                }),
            ];
        } else {
            jamStyle = [
                new ol.style.Style({
                    fill: new ol.style.Fill({
                        color: feature.sumCars < 15? 'rgb(255,100,0, 0.6)':'rgb(255,0,0, 0.4)',
                    }),
                    stroke: new ol.style.Stroke({
                        color: 'rgb(255,0,0)',
                        width: 2,
                    }),
                    text: new ol.style.Text({
                        text: feature.jamArea,
                        font: '30px',
                        fill: new ol.style.Fill({
                            color: '#F0F8FF',
                        }),
                    }),
                }),
            ];
        }
        return jamStyle;
    }
});